> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all interactive labs 

> Get a list of all interactive labs from the school's private library

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-private-lab-library
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-private-lab-library:
    post:
      tags:
        - Lab
      summary: 'List all interactive labs '
      description: >-
        Get a list of all interactive labs from the school's private library


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          pageNumber:
                            type: number
                            minimum: 1
                            description: Page number for pagination
                          limit:
                            type: number
                            minimum: 1
                            maximum: 100
                            description: Number of labs to fetch in one query
                        required:
                          - pageNumber
                          - limit
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                result:
                                  type: object
                                  properties:
                                    paginationMetadata:
                                      type: object
                                      properties:
                                        totalResultCount:
                                          type: number
                                          description: >-
                                            Total number of labs in the school's
                                            private library
                                        totalPageCount:
                                          type: number
                                          description: >-
                                            Total number of pages that can be
                                            queried
                                      required:
                                        - totalResultCount
                                        - totalPageCount
                                      description: Additional metadata for pagination.
                                    labs:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          labId:
                                            type: string
                                            minLength: 1
                                            description: ID of lab
                                          title:
                                            type: string
                                            description: Title of the lab
                                        required:
                                          - labId
                                          - title
                                  required:
                                    - paginationMetadata
                                    - labs
                              required:
                                - result
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````